std::__cxx11::collate_byname< _CharT >(3cxx)

NAME
std::__cxx11::collate_byname< _CharT > - class collate_byname [22.2.4.2].

SYNOPSIS

#include <locale_classes.h>

  Public Types

typedef _CharT char_type
Public typedefs.
typedef basic_string< _CharT > string_type
Public typedefs.

  Public Member Functions

collate_byname (const char *__s, size_t __refs=0)
collate_byname (const string &__s, size_t __refs=0)
int _M_compare (const char *, const char *) const throw()
int _M_compare (const wchar_t *, const wchar_t *) const throw()
size_t _M_transform (char *, const char *, size_t) const throw()
size_t _M_transform (wchar_t *, const wchar_t *, size_t) const throw()

Detailed Description

  template<typename _CharT>
class std::__cxx11::collate_byname< _CharT >"class collate_byname [22.2.4.2].

Member Typedef Documentation

  template<typename _CharT> typedef _CharT std::__cxx11::collate_byname< _CharT >::char_type

Public typedefs.

  template<typename _CharT> typedef basic_string<_CharT> std::__cxx11::collate_byname< _CharT >::string_type

Public typedefs.

Author

Generated automatically by Doxygen for libstdc++ from the source code.